Subject: Re: [RFC PATCH 1/7] pack-objects: update `--path-walk`'s existing incompatibilities

From: Derrick Stolee <[email-masked]>
Date: Mon, 4 May 2026 08:22:16 -0400

On 5/3/2026 8:11 PM, Taylor Blau wrote:
> The documentation in git-pack-objects(1) claims that `--path-walk` is
> incompatible with `-shallow`. However, commit c178b02e29f (pack-objects:
> allow --shallow and --path-walk, 2025-05-16) resolves this
> incompatibility, leaving the documentation stale.
> 
> Likewise, this documentation claims that `--filter` is incompatible, but
> `blob:none`, `blob:limit=<n>`, and `sparse:oid=<blob>` already work via
> path-walk.
> 
> List the supported `--filter` forms explicitly and note that other forms
> fall back to the regular object traversal. Also remove the
> incompatibility notice with `--shallow`.
 
Thanks for pointing out that I didn't update the docs in my series.

I should incorporate the appropriate language for these changes in my
patches and give you co-authorship. That will also help avoid using
commit references that are impermanent until the series lands.

Thanks,
-Stolee